---
extends: default

rules:
  braces:
    max-spaces-inside: 1
  brackets:
    max-spaces-inside: 1
  colons: enable
  commas: enable
  comments:
    level: warning
  comments-indentation:
    level: warning
  document-end: disable
  document-start:
    level: warning
  empty-lines:
    max: 1
  empty-values: enable
  hyphens: enable
  indentation:
    spaces: 2
    indent-sequences: whatever
  key-duplicates: enable
  key-ordering: disable
  line-length:
    max: 320
    level: warning
  new-line-at-end-of-file: enable
  new-lines: enable
  octal-values: enable
  quoted-strings: disable
  trailing-spaces: enable
  truthy: enable
